/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.display.internal.contributor.field;

import com.liferay.asset.display.contributor.AssetDisplayContributorField;
import com.liferay.info.display.contributor.field.InfoDisplayContributorField;
import com.liferay.info.display.contributor.field.InfoDisplayContributorFieldType;

import java.util.Locale;

/**
 * @author Jürgen Kappler
 */
public class AssetInfoDisplayContributorFieldAdapter
	implements InfoDisplayContributorField {

	public AssetInfoDisplayContributorFieldAdapter(
		AssetDisplayContributorField assetDisplayContributorField) {

		_assetDisplayContributorField = assetDisplayContributorField;
	}

	@Override
	public String getKey() {
		return _assetDisplayContributorField.getKey();
	}

	@Override
	public String getLabel(Locale locale) {
		return _assetDisplayContributorField.getLabel(locale);
	}

	@Override
	public InfoDisplayContributorFieldType getType() {
		return InfoDisplayContributorFieldType.parse(
			_assetDisplayContributorField.getType());
	}

	@Override
	public Object getValue(Object model, Locale locale) {
		return _assetDisplayContributorField.getValue(model, locale);
	}

	private final AssetDisplayContributorField _assetDisplayContributorField;

}